<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-issues.qdoc -->
  <title>Known Issues | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Known Issues</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-how-tos.html" />
  <link rel="next" href="creator-glossary.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-how-tos.html">How-tos</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-glossary.html">Glossary</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#general-issues">General Issues</a></li>
<li class="level1"><a href="#editing-issues">Editing Issues</a></li>
<li class="level1"><a href="#projects-issues">Projects Issues</a></li>
<li class="level1"><a href="#debugging-issues">Debugging Issues</a></li>
<li class="level1"><a href="#design-mode-issues">Design Mode Issues</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Known Issues</h1>
<span class="subtitle"></span>
<!-- $$$creator-known-issues.html-description -->
<div class="descr"> <a name="details"></a>
<p>This section lists known issues in Qt Creator version 4.11.1&#x2e; The development team is aware of them, and therefore, you do not need to report them as bugs.</p>
<p>For a list of fixed issues and added features, see the changelog file in the <code>qtcreator\dist</code> folder or the <a href="https://bugreports.qt.io">Qt Bug Tracker</a>.</p>
<a name="general-issues"></a>
<h2 id="general-issues">General Issues</h2>
<ul>
<li>If you change the Input Languages in Windows, Qt Creator might not respond for 30 seconds. This is a known issue in the Advanced Text Service of Microsoft Windows.</li>
<li>Qt Creator uses SQLite for storing some of its settings. SQLite is known to have problems with certain NFS servers (most notably the nfs-user-server 2.2beta), since they can lock up the application when it tries to lock the database. If your home directory is on an NFS share and you encounter this issue, one option would be to switch to the nfs-kernel-server, or create a symlink so that the settings are stored locally.</li>
<li>The Okteta KDE custom widget plugin might be installed as part of some Linux distributions. It can cause Qt Designer to crash. For more information, see:<ul>
<li><a href="http://bugs.launchpad.net/ubuntu/+source/kdeutils/+bug/662005">Ubuntu bug 662005</a></li>
<li><a href="https://bugreports.qt.io/browse/QTBUG-12025">QTBUG-12025</a></li>
</ul>
<p>To resolve the issue, enter the following command to remove the package:</p>
<pre class="cpp">

  sudo apt<span class="operator">-</span>get remove okteta

</pre>
<p>Or delete the following file: <code>/usr/lib/kde4/plugins/designer/oktetadesignerplugin.so</code>.</p>
</li>
</ul>
<a name="editing-issues"></a>
<h2 id="editing-issues">Editing Issues</h2>
<ul>
<li>Code completion does not support typedefs for nested classes.</li>
</ul>
<a name="projects-issues"></a>
<h2 id="projects-issues">Projects Issues</h2>
<ul>
<li>Paths or file names containing spaces or special characters (such as colons, dollar signs, and hash marks) may cause problems. This is because some of the tools Qt Creator uses in the background have restrictions on the characters allowed in file and directory names. To be on the safe side, we recommend creating projects and project items with names consisting of plain characters, numbers, underscores, and hyphens.</li>
<li>If error messages displayed in the <b>Compile Output</b> pane contain paths where slashes are missing (for example, C:QtSDK), check your PATH variable. For more information, see <a href="creator-tool-chains.html#troubleshooting-mingw-compilation-errors">Troubleshooting MinGW Compilation Errors</a>.</li>
</ul>
<a name="debugging-issues"></a>
<h2 id="debugging-issues">Debugging Issues</h2>
<ul>
<li>When debugging executables created by the GNU Compiler version 4.5&#x2e;0 (all platforms), some data types will not be displayed in the <b>Locals and Expressions</b> view due to missing debug information.</li>
<li>GDB on Windows may not work if the 'Embassy <sup>&reg;</sup> Security Center' software by 'Wave <sup>&reg;</sup> Systems' is installed and active (causing crashes in <code>vxvault.dll)</code>).</li>
<li>GDB may take long to load debugging symbols, especially from large libraries.</li>
<li>Setting breakpoints in code that is compiled into the binary more than once does not work.</li>
<li>Setting breakpoints in files that do not have unique absolute paths may fail. For example, remounting parts of a file system using the --bind mount option.</li>
<li>Setting breakpoints in files will fail when using LLDB if the file path contains symbolic links.</li>
<li>A regression in GCC 4.5&#x2e;0 causes return value optimization to produce inaccurate debug info that GCC applies also to non-optimized builds. For more information, see <a href="http://gcc.gnu.org/bugzilla/show_bug.cgi?id=44731">GCC Bugzilla - Bug 44731</a>.</li>
</ul>
<a name="design-mode-issues"></a>
<h2 id="design-mode-issues">Design Mode Issues</h2>
<ul>
<li>The Design mode uses a QML emulation layer (QML Puppet) to render and preview images and to collect data. Executing C++ code might cause the QML emulation layer to crash. If it crashes, an error message is displayed and you can continue editing the QML file in the code editor.</li>
</ul>
</div>
<!-- @@@creator-known-issues.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-how-tos.html">How-tos</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-glossary.html">Glossary</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
